File 0003-libkmod-config-Recognize-allow_unsupported_modules-i.patch of Package kmod.6163

From 717e10547654bceebbcb84144be72a40d78e577a Mon Sep 17 00:00:00 2001
From: Michal Marek <mmarek@suse.cz>
Date: Wed, 26 Feb 2014 13:53:38 +0100
Subject: [PATCH 03/10] libkmod-config: Recognize allow_unsupported_modules in
 the configuration

References: fate#316971
Patch-mainline: never
---
 libkmod/libkmod-config.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/libkmod/libkmod-config.c b/libkmod/libkmod-config.c
index 32adb8b..3950923 100644
--- a/libkmod/libkmod-config.c
+++ b/libkmod/libkmod-config.c
@@ -662,6 +662,9 @@ static int kmod_config_parse(struct kmod_config *config, int fd,
 				|| streq(cmd, "config")) {
 			ERR(ctx, "%s: command %s is deprecated and not parsed anymore\n",
 								filename, cmd);
+		} else if (streq(cmd, "allow_unsupported_modules")) {
+			/* dummy option for now */
+			;
 		} else {
 syntax_error:
 			ERR(ctx, "%s line %u: ignoring bad line starting with '%s'\n",
-- 
1.8.4.5